#### D.12.2.26 ellipticMult

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  ellipticMult(N,a,b,P,k);

Return:
  a list L representing the point k*P

Note:
  P=(P[1]:P[2]:P[3]) a point on the elliptic curve defined by y^2z=x^3+a*xz^2+b*z^3 over Z/N

Example:

    LIB "crypto.lib";
    bigint N=11;
    bigint a=1;
    bigint b=6;
    list P;
    P[1]=2;
    P[2]=4;
    P[3]=1;
    ellipticMult(N,a,b,P,3);
    ==> [1]:
    ==>    8
    ==> [2]:
    ==>    8
    ==> [3]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.